Community
cancel
Showing results for 
Search instead for 
Did you mean: 
JET60200
New Contributor I
521 Views

error: cannot open source file "ippe.h"

hi,

 

 when compiling an new update source release, we met below error:

"

nr5g/gnb_ul/gnb_ul_phy_pusch.c(42): catastrophic error: cannot open source file "ippe.h"
#include <ippe.h>
^

make: *** [l1app] Error 2

"

 

 what does this means ? and how should we reslove it ? 

 

our current ICC installed from " 

parallel_studio_xe_2019_update3_cluster_edition 

"

 

and icc version :

icc version 19.0.3.199 (gcc version 4.8.5 compatibility)

 

Thanks for help ~

0 Kudos
5 Replies
Ruqiu_C_Intel
Employee
491 Views

Hello,


The file nr5g/gnb_ul/gnb_ul_phy_pusch.c comes from Intel FlexRAN reference, right? May I ask have you connected the owner who release the code to you? And we realized you use

parallel_studio_xe_2019_update3_cluster_edition which is for cluster. Actually Intel System Studio should work for your 5G project.


Regards,

Ruqiu


sunny_sh2011
Beginner
450 Views

Hi:

I try use "system_studio_2020_u1_ultimate_edition_offline" to build FlexRan20.08(5g) and the result is failed.

There are errors as shown in the attaced files.

Please confirm what compiler is uesed for  FlexRan20.08(5g)?

Thanks!!!

 

roba_intel
Employee
271 Views

You need to use the ICC compiler version specified in the FlexRAN documentation. For v20.08 this is icc (ICC) 19.0.3.206 20190206

sunny_sh2011
Beginner
451 Views

Hi:

I meet the same issue. Have you resolve the issue? If so, how to resolve it?

thank you!!!

Ruqiu_C_Intel
Employee
39 Views

Hi All,

For the FlexRAN issue, please contact to your Intel FlexRAN owner. 

This page is aim for communicating with IPP product.

This issue is closing and we will no longer respond to this thread. If you require additional assistance from Intel, please start a new thread. Any further interaction in this thread will be considered community only. 

 

Thanks,

Ruqiu

Reply